Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.security
Interface JUser

All Superinterfaces:
  JPrincipal, java.security.Principal, java.io.Serializable

    public interface JUser

extends JPrincipal

This interface is used to represent a user of principals for JReport server. (A principal represents an entity such as an individual user or a company). A user can have one or more parent groups, as well as roles. If it has some parent groups, it would inherit permissions from its parent groups. If it has some roles, it would inherit permissions from them.

See Also:
  `JRole`, `JGroup`

Field Summary

Fields inherited from interface jet.server.api.admin.security.JPrincipal
`SEPARATOR`

Method Summary
`java.util.Date` | `getCreateTime()` Gets the creation time of a user.
`java.lang.String` | `getEmail()` Gets the email address of a user.
`int` | `getExpireTime()` Gets the expiration time of a user.
`java.lang.String` | `getFullName()` Gets the full name of a user.
`java.lang.String[]` | `getGroupNames()` Gets all the names of parent groups of a user.
`java.util.Date` | `getLastModifyTime()` Gets the last modification time of a user.
`int` | `getMinPSLength()` Gets the minimum password length of a user.
`java.lang.String[]` | `getRoleNames()` Gets all the names of parent roles of a user.
`boolean` | `isAccessEventFail()` Checks whether the failed access event is logged in log file by server.
`boolean` | `isAccessEventSuc()` Checks whether the successful access event is logged in log file by server.
`boolean` | `isAccountDisable()` Checks whether the user account is disabled or not.
`boolean` | `isBuildin()` Checks whether the user is created by system or not.
`boolean` | `isEnableNullPS()` Checks whether the user can use the null password or not.
`boolean` | `isManagementEventFail()` Checks whether the failed management event is logged in log file by server.
`boolean` | `isManagementEventSuc()` Checks whether the successful management event is logged in log file by server.
`boolean` | `isNeverExpire()` Checks whether the user never expires or not.
`boolean` | `isNoAudit()` Checks whether this user information was audited into log file.

Methods inherited from interface jet.server.api.admin.security.JPrincipal
`getDescription, getDisplayName, getOrganization, getType`

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getEmail

    java.lang.String getEmail()

  Gets the email address of a user.

  Returns:
    A String, which can be `null`.

### getCreateTime

    java.util.Date getCreateTime()

  Gets the creation time of a user.

  Returns:
    A Date object.
  See Also:
    `Date`

### isBuildin

    boolean isBuildin()

  Checks whether the user is created by system or not.

  Returns:
    Return true if the user is created by system, otherwise return false.

### isEnableNullPS

    boolean isEnableNullPS()

  Checks whether the user can use the null password or not.

  Returns:
    Return true if the user can use null password, otherwise return false.

### getFullName

    java.lang.String getFullName()

  Gets the full name of a user.

  Returns:
    A String, which can be `null`.

### getMinPSLength

    int getMinPSLength()

  Gets the minimum password length of a user.

  Returns:
    An int number.

### getExpireTime

    int getExpireTime()

  Gets the expiration time of a user. The time unit is day.

  Returns:
    An int number.

### getLastModifyTime

    java.util.Date getLastModifyTime()

  Gets the last modification time of a user.

  Returns:
    A Date object.
  See Also:
    `Date`

### isNeverExpire

    boolean isNeverExpire()

  Checks whether the user never expires or not.

  Returns:
    Return true if the user never expires, otherwise return false.

### isAccountDisable

    boolean isAccountDisable()

  Checks whether the user account is disabled or not.

  Returns:
    Return true if the user account is disabled, otherwise return false.

### isAccessEventFail

    boolean isAccessEventFail()

  Checks whether the failed access event is logged in log file by server.

  Returns:
    Return true if the failed access event is logged, otherwise return false.

### isAccessEventSuc

    boolean isAccessEventSuc()

  Checks whether the successful access event is logged in log file by server.

  Returns:
    Return true if the successful access event is logged, otherwise return false.

### isManagementEventFail

    boolean isManagementEventFail()

  Checks whether the failed management event is logged in log file by server.

  Returns:
    Return true if the failed management event is logged, otherwise return false.

### isManagementEventSuc

    boolean isManagementEventSuc()

  Checks whether the successful management event is logged in log file by server.

  Returns:
    Return true if the successful management event is logged, otherwise return false.

### isNoAudit

    boolean isNoAudit()

  Checks whether this user information was audited into log file.

  Returns:
    Return true if the user information was audited into log file, otherwise return false.

### getRoleNames

    java.lang.String[] getRoleNames()

  Gets all the names of parent roles of a user. The names are put into a Array of String.

  Returns:
    A Array of String, if the user has no parent roles, the size of the Array is 0.

### getGroupNames

    java.lang.String[] getGroupNames()

  Gets all the names of parent groups of a user. The names are put into a Array of String.

  Returns:
    A Array of String, if the user has no parent group, the size of the Array is 0.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD